%define libname lib%{name}
Name:           freexl
Version:        1.0.6
Release:        %mkrel 0
Summary:        Library to extract valid data from within an Excel
License:        GPL-2.0-or-later OR MPL-1.1 OR LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
URL:            https://www.gaia-gis.it/fossil/freexl/index
Source:         https://www.gaia-gis.it/gaia-sins/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig

%description
FreeXL is an open source library to extract valid data from within an Excel
(.xls) spreadsheet.

%package -n %{libname}
Summary:        Shared library for FreeXL
Group:          System/Libraries

%description -n %{libname}
FreeXL is an open source library to extract valid data from within an Excel
(.xls) spreadsheet.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Requires:       glibc-devel
Requires:       pkgconfig

%description devel
This package contains all necessary include files and libraries needed to
compile and develop applications that use libspatialite.

%prep
%setup -q

%build
%configure \
  --disable-static
%make_build

%check
%make_build check

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n lib%{name}
%license COPYING
%doc AUTHORS README
%{_libdir}/libfreexl.so*

%files devel
%license COPYING
%doc AUTHORS README
%{_includedir}/freexl.h
%{_libdir}/libfreexl.so
%{_libdir}/pkgconfig/freexl.pc

%changelog
* Mon Oct 10 2022 squidf <squid-f> 1.0.6-0
- First release for MGA8
